def lunar_ar(a, b):
    a_str = str(a)
    b_str = str(b)

    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)

    lun_sum = ""
    lunar_pr = []

    for digit_a, digit_b in zip(a_str, b_str):
        lun_sum += str(max(int(digit_a), int(digit_b)))        
        lunar_pr.append(str(min(int(digit_a), int(digit_b))))    

    lunar_pr_result = ""
    for i in range(len(lunar_pr)):
        lunar_pr_result += lunar_pr[i] + "0" * (len(lunar_pr) - i - 1)

    final_pr = str(int(lunar_pr_result.split('0')[0]))  
    for part in lunar_pr[1:]:
        final_pr = str(int(final_pr) + int(part + "0" * (len(lunar_pr) - lunar_pr.index(part) - 1)))

    return lun_sum, final_pr

if __name__ == "__main__":
    a = int(input())
    b = int(input())
    lun_sum, lunar_pr = lunar_ar(a, b)
    print(f"{lun_sum} {lunar_pr}")