def get_path_to_fraction(p, q):
    path = []
    left_numerator, left_denominator = 0, 1  
    right_numerator, right_denominator = 1, 0 

    while True:
        numerator = left_numerator + right_numerator
        denominator = left_denominator + right_denominator
        

        if numerator * q < p * denominator:
            path.append('R')
            left_numerator, left_denominator = numerator, denominator
        elif numerator * q > p * denominator:
            path.append('L')
            right_numerator, right_denominator = numerator, denominator
        else:
            break

    return ''.join(path)

p = 3
q = 4
result = get_path_to_fraction(p, q)
print(result)  
