def can_form_correct_dice(numbers):
    numbers.sort()

    return (numbers[0] + numbers[5] == numbers[1] + numbers[4] == numbers[2] + numbers[3])

def main():
    import sys
    input = sys.stdin.read
    data = input().splitlines()
    
    n = int(data[0]) 
    results = []
    
    for i in range(1, n + 1):
        numbers = list(map(int, data[i].split()))
        if can_form_correct_dice(numbers):
            results.append("yes")
        else:
            results.append("no")
    
    print("\n".join(results))

if __name__ == "__main__":
    main()
