def lunar_ar(a, b):
    a_str = str(a)
    b_str = str(b)

    max_length = max(len(a_str), len(b_str))
    a_str = a_str.zfill(max_length)
    b_str = b_str.zfill(max_length)

    lun_sum = ""
    lun_pr = []

    for digit_a, digit_b in zip(a_str, b_str):
        lun_sum += str(max(int(digit_a), int(digit_b)))  
        lun_pr.append(str(min(int(digit_a), int(digit_b))))  

    lun_product = 0
    for i, part in enumerate(lun_pr):
        lun_product += int(part) * (10 ** (len(lun_pr) - i - 1))

    return lun_sum, lun_pr

if __name__ == "__main__":
    a = int(input())
    b = int(input())
    lun_sum, lun_pr = lunar_ar(a, b)
    print(f"{lun_sum} {lun_pr}")