def get_path_to_fraction(p, q):
    path = []
    a, b = 0, 1 

    while (a, b) != (p, q):
        
        if p * b > a * q:
            
            path.append('R')
            a, b = a + p, b + q
        else:
            
            path.append('L')
            b, a = a + b, b
    
    return ''.join(path)

p = 3
q = 4
result = get_path_to_fraction(p, q)
print(result)  
